@charset "utf-8";

// include font
@font-face {
    font-family: "font primary";
    src: url("../../assets/font/HKGroteskPro-Regular.woff2");
}
@font-face {
    font-family: "font secondary";
    src: url("../../assets/font/HKGroteskPro-Medium.woff2");
}

//max-width
$baseWidth: 1000px;

// font
$fontHKG: "font primary", sans-serif;
$fontHKG1: "font secondary", sans-serif;

// Color
$color_primary: #335eea;
$color_black: #000;
$color_white: #fff;
$color_form: #42ba96;
$color_muted: #869ab8;

body {
    color: $color_black;
    font-family: $fontHKG;
    background-color: #fff;
    font-weight: 400;
    font-size: 16px;
}

* {
    box-sizing: border-box;
}

a {
    color: #506690;
    text-decoration: none;
    font-weight: 600;
    transition: all 0.1s ease;
    cursor: pointer;
    &:hover {
        color: $color_primary;
    }
}

img {
    width: 100%;
}

table {
    width: 100%;
}
input {
    -webkit-appearance: none;
}
a:focus,
input:focus {
    outline: none;
}

.container {
    max-width: $baseWidth;
    margin: 0 auto;

    @media (max-width: 1200px) {
        padding: 0 1%;
    }
    @media (max-width: 991px) {
        padding: 0 5%;
    }
    @media (max-width: 768px) {
        padding: 0 10%;
    }
    @media (max-width: 450px) {
        padding: 0 5%;
    }
}
.button {
    background-color: transparent;
    border: 1px solid transparent;
    border-radius: 0.375rem;
    color: #161c2d;
    cursor: pointer;
    display: inline-block;
    font-size: 1.0625rem;
    font-weight: 600;
    line-height: 1.6;
    padding: 0.7rem 1.25rem;
    text-align: center;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out,
        box-shadow 0.15s ease-in-out;
    user-select: none;
    vertical-align: middle;
    white-space: nowrap;

    &--primary {
        background-color: $color_primary;
        color: $color_white;
    }

    &--secondary {
        background-color: #eaeffd !important;
        color: $color_primary;
    }

    &:hover {
        background-color: #2b50c7;
        transition: ease-out 0.2s;
        transform: translateY(-5px);
    }

    @media (max-width: 455px) {
        padding: 0.5rem 1rem;
        font-size: 80%;
    }
}

// Animation
@keyframes fade-bottom {
    0% {
        transform: translateY(50px);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}
@keyframes fade-left {
    0% {
        transform: translateX(-100px);
        opacity: 0;
    }
    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes fade-right {
    0% {
        transform: translateX(100px);
        opacity: 0;
    }
    100% {
        transform: translateX(0);
        opacity: 1;
    }
}
.aminate {
    position: relative;

    &--active {
        opacity: 1;
    }
}

.active.fade-bottom {
    animation: fade-bottom 0.6s ease-in;
}
.active.fade-left {
    animation: fade-left 0.6s ease-in;
}
.active.fade-right {
    animation: fade-right 0.6s ease-in;
}

//Responsive
@mixin maxWidth($width) {
    @media only screen and (max-width: $width) {
        @content;
    }
}

//shape
.shape {
    position: relative;
    color: #f1f4f8;
    z-index: -100;
    &__image {
        overflow: hidden;
        position: absolute;
        left: 0;
        right: 0;
        bottom: 0;

        img {
            transform: scale(2);
            transform-origin: top center;
            width: 100%;
        }
    }
}
